﻿@using System.Web.UI.WebControls
@using System.Web.Mvc;
@using System.Data;

<table cellpadding="0" cellspacing="0" border="0">

      <tr>  <td><div style="height: 5px;"></div> </td></tr> 

   

   <tr>
        <td style="width:100px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Production Year";
                    label.Style.Add("padding-right", "10px");
                    label.Width = Unit.Pixel(100);
                }).GetHtml()
        </td>
        
        <td>
            @Html.DevExpress().ComboBox(
                comboBox =>
                {
                    comboBox.Name = "APAPProductionYearOption";
                    for (int i = DateTime.Now.Year - 3; i <= (DateTime.Now.Year - 3) + 12; i++)
                    {
                        comboBox.Properties.Items.Add(Convert.ToString(i));
                    }
                    comboBox.SelectedIndex = -1;
                    comboBox.Width = Unit.Pixel(150);
                    comboBox.Properties.ItemStyle.HorizontalAlign = HorizontalAlign.Left;
                }).GetHtml()
        </td>
    </tr>

    <tr><td><div style="height: 5px;"></div></td></tr>

    <tr>
        <td style="width:100px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Version"; 
                    label.Style.Add("padding-right", "10px");
                    label.Width = Unit.Pixel(100);

                }).GetHtml()
        </td>
        <td>
             @Html.DevExpress().ComboBox(
                comboBox =>
                {
                    comboBox.Name = "APAPVersionOption";
                    comboBox.Properties.Items.Add("OAP");
                    comboBox.Properties.Items.Add("RAP");
                    comboBox.Properties.Items.Add("PRJ");
                    comboBox.SelectedIndex = -1;
                    comboBox.Width = Unit.Pixel(150);
                }).GetHtml()
        </td>
        </tr>
</table>  
<table cellpadding="0" cellspacing="0" border="0" >
<tr>  
    <td>
    <div style="height: 15px;"></div></td>
    </tr> 

<tr>
        <td align="left" width="72px;" >            
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "APAPSearchButton";
                    button.Text = "Search";
                    button.Width = Unit.Pixel(72);
                    button.UseSubmitBehavior = true;
                    button.Style.Add("display", "inline-table");
                    button.Style.Add("padding-right", "5px");
                    //button.ClientSideEvents.Click = "";
                    button.ClientSideEvents.Click = "OnAPAPSearchButtonClick";
                }
            ).GetHtml()
        </td>
        
        <td align="left" width="1100px;">    
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "APAPClearButton";
                    button.Text = "Clear";
                    button.Width = Unit.Pixel(75);
                    button.UseSubmitBehavior = true;
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "OnAPAPClearButtonClick";
                }
            ).GetHtml()
        </td>
    
   
        <td align="right" width="73px;">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "APAPDeleteButton";
                    button.Text = "Delete";
                    button.Width = Unit.Pixel(73);
                    button.Style.Add("display", "inline-table");
                    button.UseSubmitBehavior = true;
                    button.ClientSideEvents.Click = "OnAPAPDeleteButtonClick";
                }
            ).GetHtml()
        </td>
        <td align="right" width="142px;">
   
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "APAPApproveButton";
                    button.Text = "Approve By PCD";
                    button.Width = Unit.Pixel(142);
                    button.Style.Add("display", "inline-table");
                    button.Style.Add("padding-left", "5px");
                    button.ClientSideEvents.Click = "OnAPAPApproveButtonClick";
                }
            ).GetHtml()
        </td>
  </tr>      
 </table>       
    
